from typing import Union
from typing import Optional

from pydantic import BaseModel


#
# class QP(BaseModel):
#     qp: dict


class UserLabelSave(BaseModel):
    project_id: str
    cluster_name: str
    display_name: str
    qp: dict
    cluster_type: str
    remarks: str


class UserLabelDetail(BaseModel):
    label_id: str


class UserLabelDel(BaseModel):
    label_id: str


# class UserLabelJson2Sql(BaseModel):
#     project_id: str
#     cluster_name: str
#     display_name: str
#     qp: dict
#     cluster_type: str
#     remarks: str

class UserLabelJson2Sql(BaseModel):
    label_id: str


class UserLabelRead(BaseModel):
    project_id: str
    cluster_name: Optional[str]
    label_id: Optional[str]

# class UserLabel(BaseModel):
#     project_id: str
#     cluster_name: str
#     display_name: str
#     qp: dict
#     cluster_type: str
#     remarks: str
