import crud
from models.user_label import UserClusterDef


async def save(db, data_in, act_user, game):
    return await crud.user_label.save(db, data_in, act_user, game)


async def read(db, data_in):
    return await crud.user_label.read(db, data_in)


async def get_list(db, project_id):
    return await crud.user_label.get_list(db, project_id)


async def get_detail(db, label_id):
    return await crud.user_label.get(db, label_id)


async def delete(db, label_id):
    await crud.user_label.delete_id(db,  label_id)
    return True


async def json2sql(game, date_in):
    user_cluster_def = UserClusterDef(game, date_in)
    await user_cluster_def.init()
    return user_cluster_def.to_sql()


async def get_cluster_user(game, date_in):
    user_cluster_def = UserClusterDef(game, date_in)
    await user_cluster_def.init()
    sql = user_cluster_def.cluster_user()
    return sql
